generic_unary_traits< Function >::hint< Arg, Result >

## Public Types

typedef function_traits< Function >::result_type | result_type
typedef std::decay< typename function_traits< Function >::template arg< 0 >::type >::type | argument_type

## Detailed Description

### template<class Function>
template<class Arg, class Result>
struct rheolef::details::generic_unary_traits< Function >::hint< Arg, Result >

Definition at line 193 of file expression.h.

## Member Typedef Documentation

## result_type

typedef function_traits<Function>::result_type result_type

Definition at line 194 of file expression.h.

## argument_type

typedef std::decay<typename function_traits<Function>::template arg<0>::type>::type argument_type

Definition at line 196 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/expression.h